pidgin-sipe (1.25.0-2.1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:39:21 +0000

pidgin-sipe (1.25.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with --disable-quality-check to fix building with
    recent glib. (Closes: #997278)

 -- Adrian Bunk <bunk@debian.org>  Tue, 23 Nov 2021 01:46:05 +0200

pidgin-sipe (1.25.0-2) unstable; urgency=medium

  * Add upstream patch 0001-Fix-359-Incorrect-build-due-to-false-negative-config
        - Fixes detection of voice and video support in libpurple.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 23 Jan 2020 18:13:12 +0100

pidgin-sipe (1.25.0-1) unstable; urgency=medium

  * New upstream release.
        - Feature #107: Provide idle start time for a buddy
        - Feature #77: RTF support (incoming)
        - Fixed #358: FTBFS with glib-2.0 >= 2.62.0
        - Fixed #350: Inconsistent parsing of From:/To: headers
        - raise BR telepathy-glib >= 0.24.0
        - switch from GPLv2+ to SPDX identifier GPL-2.0-or-later
  * Build-Depend on flex.
  * Add appstream metadata license to d/copyright.
  * Bump Standards-Version to 4.4.1 (no changes required).
  * Bump debhelper compat to level 12.
        - Build-Depend on debhelper-compat (= 12) and drop debian/compat.
  * Specify Rules-Requires-Root: no.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 16 Jan 2020 12:10:37 +0100

pidgin-sipe (1.24.0-1) unstable; urgency=medium

  [ Jakub Adam ]
  * New upstream release (Closes: #915378).
        - Feature #104: Use user agent also for HTTP
        - Feature #6: Application Sharing Server
        - Fixed #343: Build fails on FreeBSD
        - add timeout handling for media streams
        - update AppStream handling
        - fix missing localisation in some code modules
        - debug log improvements
  * Use secure URI in d/watch.
  * Bump Standards-Version to 4.2.1 (no changes required).

  [ Sam Morris ]
  * Build-Depend on libfreerdp2-dev (Closes: #915406).
  * Refresh cflags-remove-Wundef.patch.
  * Drop metainfo-Move-pidgin-sipe.metainfo.xml-out-of-legacy.patch
        - Applied upstream.
  * Build-Depend on appstream, which is used in tests.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 19 Dec 2018 19:14:10 +0100

pidgin-sipe (1.23.3-1) unstable; urgency=medium

  * New upstream release (Closes: #825203).
        - appshare: fix black screen with Remmina v1.2.0-rcgit.27
        - various minor fixes
        - fix compilation errors with libpurple 2.14.0 & GCC 8.0
        - mingw: update fetch script to Pidgin 2.13.0
  * Bump Standards-Version to 4.2.0
        - Migrate get-orig-source to uscan
  * Remove --dbgsym-migration from d/rules
        - The migration command has been included in Debian stretch.
          Fixes debug-symbol-migration-possibly-complete lintian warning.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 22 Aug 2018 18:27:43 +0200

pidgin-sipe (1.23.2-1) unstable; urgency=medium

  * New upstream release.
        - Fixed #338: Incorrect port 0 for IPv6 socket on Windows
        - Fixed #337: Duplicate candidates in SDP
        - Fixed #336: Lync autodiscover does not follow user redirect
        - media: unconditionally ignore multichannel codecs
        - updated translations: Turkish (tr)
        - fix some HTTP requests that were not sent
  * Bump debhelper compat to level 11.
  * Update copyright years.
  * Use secure d/copyright format URI.
  * Bump Standards-Version to 4.1.3 (no changes required).
  * Move package VCS repository to salsa.debian.org.
  * Recommend gstreamer1.0-plugins-ugly
        - installs x264enc GStreamer plugin.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 11 Mar 2018 12:43:23 +0100

pidgin-sipe (1.23.0-3) unstable; urgency=medium

  * Make postinst script insensitive to locale (Closes: #885331).
        - Fixes package upgrade on systems with non-English locale.
  * Bump Standards-Version to 4.1.2 (no changes required).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 26 Dec 2017 19:58:25 +0100

pidgin-sipe (1.23.0-2) unstable; urgency=medium

  * Remove NSS_SSL_CBC_RANDOM_IV workaround (Closes: #882125).
        - Diversion of /usr/bin/pidgin clashes with Pidgin AppArmor profile,
          which is now enabled by default in Debian. The workaround was
          introduced 5 years ago and Lync/SfB servers have since fixed the
          SSL bug so it's reasonably safe to drop it from pidgin-sipe package.
  * Update package description to mention Skype for Business.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 20 Nov 2017 08:44:57 +0100

pidgin-sipe (1.23.0-1) unstable; urgency=medium

  * New upstream release.
        - Feature #101: Mac OS X 10.13 OpenSSL support
        - Feature #100: Extend libpurple D-Bus interface
        - Feature #99: IPv6 addresses in SIP & SDP messages
        - Feature #96: Support for OS X 10.11+ SDK
        - don't load buddy photos from unknown sites by default
        - add support for GMime 3.0 API
        - raise BR glib-2.0 >= 2.18.0
        - raise BR purple >= 2.7.0
        - drop support for GMime 2.4
        - drop support for gstreamer-0.10
  * Fix changelog trailing whitespace.
  * Replace dpkg-parsechangelog by including pkg-info.mk in d/rules.
  * Bump Standards-Version to 4.1.1 (no changes required).
  * Fix appstream-metadata-in-legacy-location lintian warning.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 31 Oct 2017 08:37:22 +0100

pidgin-sipe (1.22.1-1) unstable; urgency=medium

  * New upstream release (Closes: #853612).
        - Feature #93: Support for Lync Autodiscover
        - Feature #6: Application Sharing Viewer
        - Fixed #315: Crash when contact list is empty
        - Fixed #314: sipe login problems with long pw
        - Fixed #320: Multiple client detection broken
        - separate logging and debugging output
        - speed up Lync Autodiscover by using AccessLocation
        - purple: avoid rare SSL read deadlock
        - crypto: make code compile with OpenSSL 1.1.0
        - drop references to Reuters Messaging
        - new translations: Greek (el), Lithuanian (lt), Russian (ru),
          Swedish (sv), Turkish (tr)
  * Add libfarstream-0.2-dev and libgstreamer-plugins-base1.0-dev
    to Build-Depends.
  * Recommend remmina RDP client plugin.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 18 Jun 2017 14:04:30 +0200

pidgin-sipe (1.21.1-1) unstable; urgency=medium

  * New upstream release.
        - various bug fixes in media support
        - configure no longer ignores CFLAGS/LDFLAGS/LIBS
  * Refresh cflags-remove-Wundef.patch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 30 May 2016 07:11:07 +0200

pidgin-sipe (1.21.0-2) unstable; urgency=medium

  * Build-Depend on libpurple-dev >= 2.10.12.
  * Bump Standards-Version to 3.9.8 (no changes required).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 02 May 2016 07:24:10 +0200

pidgin-sipe (1.21.0-1) unstable; urgency=medium

  * New upstream release.
        - Feature #91: Support embedded XML as buddy photo URL
        - Feature #90: Add AppStream metadata file
        - Feature #89: Improve "Join scheduled conference" dialog
        - Feature #87: Support multiple HTTP cookies
        - Feature #85: XML raw extract should ignore name space
        - Fixed #311: Crash when SIP transport becomes invalid
        - Fixed #293: Mandatory wsa:MessageID node missing
        - add support for Lync File Transfer protocol
        - add build options to "About SIPE plugin" message
  * Drop fix-hppa-ftbfs.patch (applied upstream).
  * Drop pidgin-sipe-dbg in favour of autogenerated debug package.
  * Remove obsolete build dependency on libzephyr-dev.
  * Enable bindnow hardening flag.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 27 Apr 2016 11:57:44 +0200

pidgin-sipe (1.20.1-1) unstable; urgency=medium

  * New upstream release.
        - add support for another type of ADFS response
        - improve configure check for back-ported features
        - updated translations: French (fr), Russian (ru)
  * Update source URL in d/watch.
  * Fix FTBFS on hppa (Closes: #814252).
  * Use secure URIs in Vcs-* fields.
  * Bump Standards-Version to 3.9.7 (no changes required).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 01 Mar 2016 09:41:50 +0100

pidgin-sipe (1.20.0-2) unstable; urgency=medium

  * Fix lintian maintainer-script-without-set-e pedantic warning.
  * Switch to GStreamer 1.0 (Closes: #785893).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 19 Oct 2015 20:00:28 +0200

pidgin-sipe (1.20.0-1) unstable; urgency=medium

  * New upstream release (Closes: #791796, #796987).
        - Feature #82: Parse HTML from Lync conference URL
        - Feature #69: SRTP Support
        - Fixed #285: Office365 rejects RC4 in TLS-DSK
  * Bump Standards-Version to 3.9.6.
  * Remove reference to removed file ltmain.sh from d/copyright.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 31 Aug 2015 08:17:35 +0200

pidgin-sipe (1.18.2-1) unstable; urgency=medium

  * New upstream release.
        - Fixed #255: Crash when PersistentChat sends BYE instead of response
        - Fixed #248: Remove libpurple SSL configure check
        - Fixed #245: "Unable to resolve DNS SRV record" error when joining
          conference
        - Fixed #210: Conference call ends with error message
        - ews: extract settings also from type EXPR
        - ucs: honor user specified email URL
        - updated Transifex URLs
        - updated translations: Hindi (hi), Telugu (te)
  * Don't build with -Wundef (Closes: #751060)
        - fixes build against MIT Kerberos 1.12.1.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 13 Jun 2014 21:34:04 +0200

pidgin-sipe (1.18.1-1) unstable; urgency=medium

  * New upstream release (Closes: #741014).
        - Fixed #238: False "not delivered" in conference
        - Fixed #237: HTML escaping not removed from URL
        - Fixed #210: Conference call ends with error message
        - fix endless loop with failed HTTP Basic authentication
        - fix crash when gstreamer nice plugin is missing
        - fix EWS autodiscover for some Office 365 users
        - purple: fix missing "Copy to" in buddy menu
        - add indication when user is connected from a mobile device
        - updated translations: Chinese (zh_CN), Portuguese (pt)
        - Feature #71: Add support for EWS Autodiscover redirection
        - Feature #69: Add UI support for (group) chats
        - Feature #64: Add support for GSS-NTLMSSP
          * sip-sec-krb5.c module has been renamed to sip-sec-gssapi.c
          * if gssapi/gssapi_ntlmssp.h is detected then sip-sec-ntlm.c will
            be disabled and NTLM will be handled by sip-sec-gssapi.c instead
          * NOTE: at the time of this writing the user has to set up
                  GSS-NTLMSSP by hand on his system, i.e. /etc/gss/mech
        - Fixed #197: Account stays in connecting stage
        - cleanup for sip-sec Kerberos & SSPI modules
          * replace old TGT hack with gss_acquire_cred_with_password()
          * clean up Kerberos detection in configure
          * remove special case handling; code is more straight-forward now
          * thanks to David Woodhouse and Simo Sorce for the GSSAPI information
        - implement internal keepalive handling
        - implement crypto backend based on OpenSSL
  * Explicitly disable usage of OpenSSL as the cryptographic backend.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 18 Apr 2014 10:23:44 +0200

pidgin-sipe (1.17.3-1) unstable; urgency=medium

  * New upstream release.
        - Fixed #225: HTTP re-authentication with NTLM fails
        - Fixed #222: SIPE crashes when groupchat session expires
        - fix UCS Persona key extraction
        - Fixed #214: Typing notification does not always work
        - Fixed #222: SIPE crashes when groupchat session expires
        - updated translations: Romanian (ro)
        - Fixed #215: Password not entity encoded in WSSE element
        - Fixed #214: Typing notification does not always work
        - accept alternatives for webticket timestamp/keydata
        - adium: add "don't publish calendar" to account UI
        - updated translations: French (fr)
  * Document in d/README.source where the upstream sources are taken from.
  * Updated d/watch.
  * Bump Standards-Version to 3.9.5.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 21 Dec 2013 10:50:26 +0100

pidgin-sipe (1.17.0-1) unstable; urgency=low

  * New upstream release.
        - Feature #62: Support for Lync 2013 Unified Contact Store
        - Feature #59: Support for Lync 2013 Persistent Chats
        - Fixed #211: Status "away" or "busy" incorrectly mapped to "Invisible"
        - Fixed #209: group chat doesn't like HTML
        - Fixed #200: OCS archiving system blocks audio/video connection
        - Fixed #187: Duplicate messages in group chat
        - Fixed #184: Duplicate users showing in Group Chat
        - fix EWS autodiscover for Office 365
        - add support for group chat history
        - add support for buddy photos on Lync 2013

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 01 Oct 2013 17:03:10 +0200

pidgin-sipe (1.16.1-1) unstable; urgency=low

  * New upstream release (Closes: #714354).
        - fix call failure when host has multiple IP addresses
        - fix buddy list handling after moving to Lync 2013
          * Lync 2013 migrates buddy list to Unified Contact Store (UCS)
          * NOTE: modifying the buddy list is *NOT* supported yet!
        - crash fixes for new HTTP stack
  * Bumped debhelper compat to level 9, reworked d/rules to use dh.
  * Fixed clean target to remove all generated files.
  * Removed autotools-dev from Build-Depends.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 19 Jul 2013 19:37:24 +0200

pidgin-sipe (1.16.0-1) unstable; urgency=low

  [ Jakub Adam ]
  * New upstream release (Closes: #713009).
        - Feature #58: Implement Digest authentication scheme for
          SIP Proxy Authentication
        - Fixed #196: Useragent value not forwarded to core
        - Fixed #193: Pidgin Status changes stop working
        - Fixed #186: Users appear offline when they are not
        - fix kinit-less use case with krb5 >= 1.11
        - rewritten HTTP stack from scratch
          * cleaner, layered and hopefully less error-prone implementation
          * HTTP stack internals no longer exposed to user code
          * reduced network traffic and less SSL handshakes by utilizing
            HTTP/1.1 connection keep alive for multiple HTTP requests to
            the same host
        - switch purple backend to deferred destruction approach
          * Pidgin should no longer crash at connection close, even in
            corner cases
        - add menu entry to make a call with a phone number
        - some progress on telepathy backend
          * add TLS certificate accept/reject user interaction
          * add "Single Sign-On" & "Don't Publish Calendar" account options
  * Depend on libnice-dev (>= 0.1.4) for it has voice call related fixes.
  * Use xz for upstream tarball compression.

  [ Dominique Dumont ]
  * copyright: added missing license on src/adium autogen.sh ltmain.sh

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 24 Jun 2013 20:14:30 +0200

pidgin-sipe (1.15.0-1) experimental; urgency=low

  [ Jakub Adam ]
  * New upstream release.
        - Feature #3578135: Support Kerberos for HTTP(S) authentication w/o SSPI
          * effective for all platforms that support --with-krb5
          * this triggered a series of cleanup & simplification changes and
            functionality & memory leak fixes in the sip-sec modules
          * special thanks to Jarek Polok for the logs and testing
        - Feature #3594094: Add HTTPS to autodiscover probe
        - Feature #3607040: Simple button to disable calendar integration
        - Fixed #3603228: Crash on 1.14.1 when connecting to server
        - Fixed #3604671: sip uri with apostrophe is not valid
        - fixed HTTP redirect crash
        - unified Single Sign-On handling in all places
          * if SSO is enabled then "Login" & "Password" settings are ignored
          * SSO is now off by default for new accounts
          * NOTE: if you do *NOT* use SSO, then be sure to disable it in the
                  "Advanced" tab of the account settings after updating!
        - added implementation for HTTP "WWW-Authenticate: Negotiate" scheme
          * effective for all platforms that support --with-krb5
          * it will try Kerberos first, then fall back to NTLM
          * valid Kerberos Single Sign-On setup will be detected automatically
          * setup for a mixed Kerberos/NTLM HTTP environment:
            - login name:     DOMAIN\account
            - password:       domain password
            - authentication: Kerberos
            - Single Sign-On: OFF(!)          (see above)
        - enabled TLS-DSK support in Windows SSPI version
        - TLS-DSK: don't ask for password if SSPI or Kerberos are compiled in
        - Farstream 0.1.1 compatibility fix
        - support conf:sip: meeting URIs
  * Jakub Adam is the new Maintainer (Closes: #694613).

  [ Dominique Dumont ]
  * copyright: updated years

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 13 Mar 2013 11:27:25 +0100

pidgin-sipe (1.14.1-1) experimental; urgency=low

  * New upstream release.
        - Feature #3578132: Kerberos configuration should be passwordless
          * purple: non Single Sign-on users are asked for the password again
        - bug & memory leak fixes in sipe-buddy.c
  * Update synopsis and extended description to mention also MS Lync.
  * Create package with debug symbols.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 30 Dec 2012 17:37:21 +0100

pidgin-sipe (1.14.0-1) experimental; urgency=low

  * New upstream release.
        - Feature #3585364: Add support for Web Ticket authentication
          using ADFS
        - Feature #3578132: Kerberos configuration should be
          passwordless
        - Fixed #3580212: Connection drops after a few hours
        - add support for buddy photos
        - add support for call to Audio Test Service
        - reduce Web Ticket traffic by queueing requests & caching
          tickets
        - various minor bug & build fixes

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 17 Dec 2012 19:44:18 +0100

pidgin-sipe (1.13.3-1) unstable; urgency=low

  * New upstream release.
        - Fixed #3537084: OpenBSD build issue
        - Fixed #3543294: Support Lync 2010 meet URLs
        - revert to legacy MSOC protocol on Lync FT invitation
        - fix broken busy->available status switch
        - updated translations: Portuguese (pt)
        - tls: fix buffer overrun
        - win32: fix TCP connections
        - nsis: fix broken locale installation
        - updated translations: French (fr)
        - various build fixes
  * Removed disable-w-cast-align.patch (applied upstream).
  * Override false binary-without-manpage lintian warning.
  * Enable binary hardening.
  * Fix maintainer-script-lacks-debhelper-token lintian warning.
  * Bump Standards-Version to 3.9.4.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 16 Nov 2012 14:09:07 +0100

pidgin-sipe (1.13.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * added patch to help putting workaround in place (Closes: #642199)

 -- Dominique Dumont <dod@debian.org>  Mon, 29 Oct 2012 13:07:17 +0100

pidgin-sipe (1.13.1-2) unstable; urgency=low

  * Fix FTBFS on ARM, MIPS and SPARC.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 19 May 2012 21:29:51 +0200

pidgin-sipe (1.13.1-1) unstable; urgency=low

  * New upstream release (Closes: #646389, #672607).
        - detect incompatible encryption level with Lync
        - purple: add URI validity check to Add Buddy callback
        - new translations: Romanian (ro), Turkish (tr)
        - various build fixes
        - added [MS-SIPAE] TLS-DSK authentication scheme
          * TLS-DSK has been introduced in Lync
          * mandatory for Office365 accounts
          * also works for non-public Lync installations
          * does not work yet with SSPI on Windows
        - added [MS-DLX] based Get Info/Contact Search
          * [MS-PRES] SIP-Based Active Directory Search is disabled in Lync
        - make it compile against the latest purple 3.0.x API
        - make it compile against the latest glib2 2.31.x API
        - completed cleanup: core no longer requires libpurple
        - refactored crypto code, ie. NSS can replaced if necessary
        - sipe-domino.c is no longer built under UNIX to remove dead code
        - restricted XXX_CFLAGS to modules that need them
        - NSS is now a mandatory build requirement
        - decoupled SSPI from HAVE_LIBKRB5 flag. New flag is HAVE_SSPI
        - OBS mingw packages now use SSPI instead of NTLM
        - added NSIS package generation to OBS mingw packages
        - removed kopete backend. KDE is moving to telepathy
        - added MinGW cross-compilation on Linux instructions
        - Feature #3064877: Add support for OCS2007R2 Group Chat
        - Feature #3311026: Support for HTTP/1.1 Transfer-Encoding: chunked
        - Fixed #2834758: First NTLM signature check after startup fails
        - Fixed #3082602: Crash on Autodiscover
        - Fixed #3090663: Re-authentication fails
        - Fixed #3092324: Core dump in "make check"
        - Fixed #3130915: Failed to authenticate to server
        - Fixed #3148124: sipe segfaults during login on Solaris
        - Fixed #3150482: "configure --with-vv" test uses wrong include
        - Fixed #3156430: Messages not Delivered
        - Fixed #3161273: Lost Connection Gives No Error Message
        - Fixed #3198585: Extra line breaks
        - Fixed #3267073: False "could not be delivered" errors
        - Fixed #3399007: Crash when sipe_cal_working_hours->days_of_week
          is NULL
        - Patch #3091490: Make 1.11.0 Compile on FreeBSD
        - Patch #3108246: Patch for better windows installer
        - add random Ms-Conversation-ID to INVITE
        - fix parsing of P-Asserted-Identity header
        - added MS TURN support
        - fix crash on zero length password in NTLM
        - implement timeouts for SIP request. Used for REGISTER
        - more work on Voice & Video call support
        - make it compile against the purple 2.8.x & 3.0.x APIs
        - more internal changes to prepare for non-purple backends
        - added integration for transifex.net update
        - configure improvements for 64-bit: use libdir, gsize/size_t
          compatibility
        - update compiler warnings configuration for all build platforms
  * Add debian/watch file.
  * Removed patches applied upstream
        - fix-werror.patch
        - gcc-4.7.patch
        - sipe-purple-2.8.0.patch
        - update-glib-2.32.patch
  * Add libnice-dev and libgstreamer0.10-dev to Build-Depends.
  * Recommend gstreamer0.10-x and gstreamer0.10-ffmpeg packages for
    Voice&Video support.
  * Bump Standards-Version to 3.9.3.
  * Fix lintian warnings debian-rules-missing-recommended-target
    and binary-control-field-duplicates-source.
  * Remove usage of quilt.
  * Add Vcs-* fields to debian/control.
  * Add Jakub Adam to Uploaders.
  * Updated debian/copyright and converted to machine-readable format.
  * Fix debian/rules clean target.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 11 May 2012 14:18:15 +0200

pidgin-sipe (1.11.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * update-glib-2.32.patch: Update to use glib 2.32. Replace g_strcasecmp and
    g_strncasecmp with g_utf8_casefold and g_utf8_collate.
    (Closes: #665672)
  * gcc-4.7.patch: Fix -Werror=maybe-uninitialized to build with gcc-4.7.
    (Closes: #667323)

 -- Mònica Ramírez Arceda <monica@debian.org>  Thu, 19 Apr 2012 16:46:23 +0200

pidgin-sipe (1.11.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with pdigin 2.8.0-1 in unstable":
    add patch sipe-purple-2.8.0.patch from archlinux, forwarded to the BTS
    by Islam Amer.
    (Closes: #630638)
  * Fix "ftbfs with gcc-4.6 -Werror":
    add patch fix-werror.patch from peter green.
    (Closes: #625404) (LP: #832881)

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Dec 2011 15:31:52 +0100

pidgin-sipe (1.11.2-1) unstable; urgency=low

  * New upstream version
        - Feature #2945346: Lotus Notes/Domino Calendar integration:
          * Sipe can now retrieve calendar data (Meeting schedule/subject/
            location) from a web-enabled Lotus Domino server and publish it to
            OCS2007/LCS2005 as availability information.
          * Example: "Calendar: Currently Busy. Free at 11:30".
          * Team members (contacts with access level Team) will be able to see
            information about our current meeting (subject & location) (OCS2007)
          * First calendar update is scheduled 1 minute after connect,
          * Subsequent calendar updates happen in 30 minute intervals.
          * Manual calendar update can be triggered using the following menu:
                   Accounts->{SIPE_ACCOUNT}->"Republish Calendar"
          * Though Domino integration can work without any additional settings
            in account configuration (on Windows), there are options to manually
            provide Domino Services URL and email address/password if it's
            different from SIP URI/Password settings on Basic tab.
        - Fixed #2971422: idle check for OCS2005 presence case
        - Fixed #2982424: krb5 build errors on FreeBSD
        - Fixed #2997639: pidgin crash after accepting cert
        - Fixed #3001523: Cancelling a long pending file transfer crashes Pidgin
        - Fixed #3002993: Group Name issues with ampersand
        - Fixed #3029228: Calendar published at/with incorrect time
        - Fixed #3029929: Crash with outlook 2k3 Calendar
        - Fix logout from OCS
        - Implement workaround for buddy list menu memory leaks
        - Dropped UDP transport support
        - Rewrote TCP & TLS transport support
        - HTTP improvements: GET, cookies
        - Alternative crypt/digest implementation based on NSS
        - Rewrote message debug log and implemented an analyzer script for it
        - More internal changes to prepare for non-purple backends
        - New translations: 'nl', 'sv', 'ar', 'hu', 'ja', 'ko', 'sv', 'zh_TW'
  * Fixed pidgin-sipe: Kerberos authentication is broken (Closes: #597437)
  * Fixed pidgin-sipe: no dependency on pidgin (Closes: #594882)
  * Fixed pidgin-sipe: new upstream version is available (Closes: #596799)
  * Fixed pidgin-sipe: FTBFS: sipe.c:10050: error: missing initializer
    (Closes: #582998)
  * Added dependency with the libxml2-dev package in debian/control
  * Added dependency with libnss3-dev package in debian/control
  * Updated with Standards-Version 3.9.1
  * Updated the debhelper minimal version to (>= 7~) due to lintian warning
  * Switch to dpkg-source 3.0 (quilt) format

 -- Anibal Avelar <aavelar@cofradia.org>  Tue, 02 Nov 2010 23:48:33 -0600

pidgin-sipe (1.10.1-1) unstable; urgency=low

  * New upstream version
        - Fix broken sipe_ht_equals_nick(); the broken code has been in the
          1.10.0 release. As it affects the buddy list it could be the root
          cause for some of the "buddy appears offline" reports.
        - Make it compile against the final purple 2.7.0 API;

 -- Anibal Avelar <aavelar@cofradia.org>  Sun, 27 Jun 2010 11:46:59 -0600

pidgin-sipe (1.10.0-1) unstable; urgency=low

  * New upstream version
      - Feature #2823160: Access Levels (2007+ environment)
      - Feature #2957811: add support for "automaton" class
      - Feature #2972823: fail on in-line variable declarations
      - Fixed #2971422: handle OCS 2005 idiosyncrasy of varying SIP URI case
      - Fixed #2981563: Authentication protocol v4 - invalid signature of some
        incoming messages containing P-Asserted-Identity or P-Preferred-Identity
        with uppercased SIP or TEL in URI.
      - Fixed publication/"409 Conflict" endless looping
      - Prepare for Pidgin 2.7.0
      - Added SVG icon artwork
      - Many changes to configure script. Be sure to look at "configure --help"
      - Many internal changes to prepare for non-purple backends
      - New build requirements: libxml2, glib-2.0 >= 2.12.0
      - New build option: gmime-2.4 >= 2.4.16 or gmime-2.6 >= 2.5.2 for
        non-purple backends

 -- Anibal Avelar <aavelar@cofradia.org>  Sun, 04 Apr 2010 00:52:59 -0600

pidgin-sipe (1.9.1-1) unstable; urgency=low
  * New upstream version (emergency release)
      - Fixed #2969327: Kerberos authentication always fails on *nix platforms
      - Fixed #2968287: Authentication failure in scenario when director server
        is Office Communications Server 2007 or above and home server is
        Live Communications Server 2005
      - Send BYE when response to IM message is 408/480/481
      - Re-enable offline status to be user settable

 -- Anibal Avelar <aavelar@cofradia.org>  Tue, 16 Mar 2010 02:13:59 -0600

pidgin-sipe (1.9.0-1) unstable; urgency=low

  * New upstream version (Closes: #570735)
    * File transfer functionality. File encryption is supported
    * NTLMv2 and NTLMv2 Session Security support
    * Implemented SIP Authentication Extensions protocol version 4 and 3
    * Adoption for commercial UNIX - HP/UX, Irix, Solaris - big endian fixes
    * Increased libpurple build requisite to >= 2.4.0
    * many crash fixes for error or corner cases in calendar integration
    * more detailed code analysis with Coverity Prevent
    * build fixes for older libpurple/glib2 versions
    * OpenSUSE Build Service configuration files
    * Fix NTLM crash if login setting is undefined
    * Use of g_str_has_prefix() available since glib 2.2 and null-safe
    * build fixes for older OS releases, e.g. Ubuntu older than 9.10.
  * Removed the file libsipe.la from the package
  * Removed the line dh_pidgin -ppidgin-sipe from debian/rules
  * Added ./autogen.sh could be run from debian/rules
  * Changed the Section from net to misc inside Source stanza in debian/control
  * Changed the Section from net to misc inside Package stanza in debian/control
  * Added the Priority header inside Package stanza in debian/control
  * Updated the Description inside Package stanza in debian/control
  * Updated the debian/copyright file with the new authors list.
  * Updated the debian/copyright file with the correct PATH to license GPL2.
  * Removed dependency with the libgtk2.0-dev package in debian/control
  * Removed dependency with the comerr-dev package in debian/control
  * Removed debian/README.debian file from the package
  * Added dependency with the libzephyr-dev package in debian/control

 -- Anibal Avelar <aavelar@cofradia.org>  Wed, 10 Mar 2010 01:05:59 -0600

pidgin-sipe (1.8.0-1) unstable; urgency=low

  * New upstream version (Closes: #536100)
    * Simplifying the authentication process using only the Basic Settings
      screen.
    * Added integration with Exchange 2007/2010
    * Added Windows Messenger 5.0 (RTC/1.2) compatibility.
    * "About SIPE plugin" screen implemented.
    * Added Kerberos support.
    * Added Multiparty Chat support.
    * Fixed many bugs.
    * Fixed many potencial memory leaks.
    * Fixed support for LCS2005 and OCS2007 (improvementsi and bugs fixed)
    * Added "Find on LinkedIn" link on contact's User Info screen
    * Updated translations: "de", "pl", "ru", "cs", "da", "es", "fi", "fr, "hi",
      "it", "nb", "ta", "zh_CN".
    * Fixed for server auto-discovery
    * Fixed for User Agent string.
    * Added integration with PBX (external phones) using CSTA protocol
    * Fixed for CHOWA problems
    * Fixed for spaces in Login's username
    * Support for Reuters Messaging environment
    * Support for message formatting
    * Added notification support for undelivered messages
    * Extended contact search implementation
    * ... and more
  * Fixed pidgin-sipe: urls appear w/ underscore prefix (Closes: #529523)
  * Updated the debian/copyright file with the new authors list.
  * Added DEB_CONFIGURE_EXTRA_FLAGS in debian/rules for extra compile flags
  * Added dependency with the libkrb5-dev package
  * Removed to delete the file libsipe.la from debian/rules.
  * Removed DEB_AUTO_UPDATE_DEBIAN_CONTROL reference from debian/rules.
  * Updated with Standards-Version 3.8.4

 -- Anibal Avelar <aavelar@cofradia.org>  Sun, 07 Feb 2010 04:48:35 -0500

pidgin-sipe (1.3.3-1) unstable; urgency=low

  * New upstream version (Closes: #508221)
    * Added support for OCS 2007, LCS 2003
    * Full support for send/receive messages
    * Full presence support (both sides)
    * Full support for add/remove/move contacts
    * TLS/SSL support
    * Search contacts full support
    * xBSD support
  * Added the dependency with the libpurple-dev package
  * Added the dependency with the intltool package
  * Added the dependency with the comerr-dev package
  * Removed the unnecessary debian/pidgin-sipe.dirs file
  * Changed the package description inside debian/control
    (Closes: #433920,#490923)
  * Added the field Homepage inside Source stanza in debian/control file.
  * Updated the debian/copyright file with the new authors list.
  * Updated with Standards-Version 3.8.0

 -- Anibal Avelar <aavelar@cofradia.org>  Sun, 1 Mar 2009 12:15:35 -0500

pidgin-sipe (1.2-1) unstable; urgency=low

  * Initial release (Closes: #418226)

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Wed, 13 Jun 2007 19:12:35 -0500

